<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:32 CEST 2019 -->
<title>FirebirdDatabaseMetaData (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FirebirdDatabaseMetaData (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FirebirdDriver.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FirebirdDatabaseMetaData.html" target="_top">Frames</a></li>
<li><a href="FirebirdDatabaseMetaData.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.jdbc</div>
<h2 title="Interface FirebirdDatabaseMetaData" class="title">Interface FirebirdDatabaseMetaData</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true" title="class or interface in java.sql">DatabaseMetaData</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a></dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../org/firebirdsql/jdbc/FBDatabaseMetaData.html" title="class in org.firebirdsql.jdbc">FBDatabaseMetaData</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">FirebirdDatabaseMetaData</span>
extends <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true" title="class or interface in java.sql">DatabaseMetaData</a></pre>
<div class="block">Extension of <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true" title="class or interface in java.sql"><code>DatabaseMetaData</code></a> interface providing access to Firebird
 specific features.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mirommail@web.de">Michael Romankiewicz</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.sql.DatabaseMetaData">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true" title="class or interface in java.sql">DatabaseMetaData</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#attributeNoNulls" title="class or interface in java.sql">attributeNoNulls</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#attributeNullable" title="class or interface in java.sql">attributeNullable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#attributeNullableUnknown" title="class or interface in java.sql">attributeNullableUnknown</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#bestRowNotPseudo" title="class or interface in java.sql">bestRowNotPseudo</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#bestRowPseudo" title="class or interface in java.sql">bestRowPseudo</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#bestRowSession" title="class or interface in java.sql">bestRowSession</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#bestRowTemporary" title="class or interface in java.sql">bestRowTemporary</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#bestRowTransaction" title="class or interface in java.sql">bestRowTransaction</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#bestRowUnknown" title="class or interface in java.sql">bestRowUnknown</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#columnNoNulls" title="class or interface in java.sql">columnNoNulls</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#columnNullable" title="class or interface in java.sql">columnNullable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#columnNullableUnknown" title="class or interface in java.sql">columnNullableUnknown</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#functionColumnIn" title="class or interface in java.sql">functionColumnIn</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#functionColumnInOut" title="class or interface in java.sql">functionColumnInOut</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#functionColumnOut" title="class or interface in java.sql">functionColumnOut</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#functionColumnResult" title="class or interface in java.sql">functionColumnResult</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#functionColumnUnknown" title="class or interface in java.sql">functionColumnUnknown</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#functionNoNulls" title="class or interface in java.sql">functionNoNulls</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#functionNoTable" title="class or interface in java.sql">functionNoTable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#functionNullable" title="class or interface in java.sql">functionNullable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#functionNullableUnknown" title="class or interface in java.sql">functionNullableUnknown</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#functionResultUnknown" title="class or interface in java.sql">functionResultUnknown</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#functionReturn" title="class or interface in java.sql">functionReturn</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#functionReturnsTable" title="class or interface in java.sql">functionReturnsTable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#importedKeyCascade" title="class or interface in java.sql">importedKeyCascade</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#importedKeyInitiallyDeferred" title="class or interface in java.sql">importedKeyInitiallyDeferred</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#importedKeyInitiallyImmediate" title="class or interface in java.sql">importedKeyInitiallyImmediate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#importedKeyNoAction" title="class or interface in java.sql">importedKeyNoAction</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#importedKeyNotDeferrable" title="class or interface in java.sql">importedKeyNotDeferrable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#importedKeyRestrict" title="class or interface in java.sql">importedKeyRestrict</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#importedKeySetDefault" title="class or interface in java.sql">importedKeySetDefault</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#importedKeySetNull" title="class or interface in java.sql">importedKeySetNull</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#procedureColumnIn" title="class or interface in java.sql">procedureColumnIn</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#procedureColumnInOut" title="class or interface in java.sql">procedureColumnInOut</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#procedureColumnOut" title="class or interface in java.sql">procedureColumnOut</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#procedureColumnResult" title="class or interface in java.sql">procedureColumnResult</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#procedureColumnReturn" title="class or interface in java.sql">procedureColumnReturn</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#procedureColumnUnknown" title="class or interface in java.sql">procedureColumnUnknown</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#procedureNoNulls" title="class or interface in java.sql">procedureNoNulls</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#procedureNoResult" title="class or interface in java.sql">procedureNoResult</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#procedureNullable" title="class or interface in java.sql">procedureNullable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#procedureNullableUnknown" title="class or interface in java.sql">procedureNullableUnknown</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#procedureResultUnknown" title="class or interface in java.sql">procedureResultUnknown</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#procedureReturnsResult" title="class or interface in java.sql">procedureReturnsResult</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#sqlStateSQL" title="class or interface in java.sql">sqlStateSQL</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#sqlStateSQL99" title="class or interface in java.sql">sqlStateSQL99</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#sqlStateXOpen" title="class or interface in java.sql">sqlStateXOpen</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#tableIndexClustered" title="class or interface in java.sql">tableIndexClustered</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#tableIndexHashed" title="class or interface in java.sql">tableIndexHashed</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#tableIndexOther" title="class or interface in java.sql">tableIndexOther</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#tableIndexStatistic" title="class or interface in java.sql">tableIndexStatistic</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#typeNoNulls" title="class or interface in java.sql">typeNoNulls</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#typeNullable" title="class or interface in java.sql">typeNullable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#typeNullableUnknown" title="class or interface in java.sql">typeNullableUnknown</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#typePredBasic" title="class or interface in java.sql">typePredBasic</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#typePredChar" title="class or interface in java.sql">typePredChar</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#typePredNone" title="class or interface in java.sql">typePredNone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#typeSearchable" title="class or interface in java.sql">typeSearchable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#versionColumnNotPseudo" title="class or interface in java.sql">versionColumnNotPseudo</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#versionColumnPseudo" title="class or interface in java.sql">versionColumnPseudo</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#versionColumnUnknown" title="class or interface in java.sql">versionColumnUnknown</a></code></li>
</ul>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdDatabaseMetaData.html#close--">close</a></span>()</code>
<div class="block">Closes any cached metadata statements held by this database metadata implementation.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdDatabaseMetaData.html#getConnectionDialect--">getConnectionDialect</a></span>()</code>
<div class="block">Get the dialect of the connection.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdDatabaseMetaData.html#getDatabaseDialect--">getDatabaseDialect</a></span>()</code>
<div class="block">Get the dialect of the database.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdDatabaseMetaData.html#getOdsMajorVersion--">getOdsMajorVersion</a></span>()</code>
<div class="block">Get the major version of the ODS (On-Disk Structure) of the database.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdDatabaseMetaData.html#getOdsMinorVersion--">getOdsMinorVersion</a></span>()</code>
<div class="block">Get the minor version of the ODS (On-Disk Structure) of the database.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdDatabaseMetaData.html#getProcedureSourceCode-java.lang.String-">getProcedureSourceCode</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;procedureName)</code>
<div class="block">Get the source of a stored procedure.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdDatabaseMetaData.html#getTriggerSourceCode-java.lang.String-">getTriggerSourceCode</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerName)</code>
<div class="block">Get the source of a trigger.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../org/firebirdsql/jdbc/FirebirdDatabaseMetaData.html#getViewSourceCode-java.lang.String-">getViewSourceCode</a></span>(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;viewName)</code>
<div class="block">Get the source of a view.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.sql.DatabaseMetaData">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true" title="class or interface in java.sql">DatabaseMetaData</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#allProceduresAreCallable--" title="class or interface in java.sql">allProceduresAreCallable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#allTablesAreSelectable--" title="class or interface in java.sql">allTablesAreSelectable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#autoCommitFailureClosesAllResultSets--" title="class or interface in java.sql">autoCommitFailureClosesAllResultSets</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#dataDefinitionCausesTransactionCommit--" title="class or interface in java.sql">dataDefinitionCausesTransactionCommit</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#dataDefinitionIgnoredInTransactions--" title="class or interface in java.sql">dataDefinitionIgnoredInTransactions</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#deletesAreDetected-int-" title="class or interface in java.sql">deletesAreDetected</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#doesMaxRowSizeIncludeBlobs--" title="class or interface in java.sql">doesMaxRowSizeIncludeBlobs</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#generatedKeyAlwaysReturned--" title="class or interface in java.sql">generatedKeyAlwaysReturned</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getAttributes-java.lang.String-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql">getAttributes</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getBestRowIdentifier-java.lang.String-java.lang.String-java.lang.String-int-boolean-" title="class or interface in java.sql">getBestRowIdentifier</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getCatalogs--" title="class or interface in java.sql">getCatalogs</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getCatalogSeparator--" title="class or interface in java.sql">getCatalogSeparator</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getCatalogTerm--" title="class or interface in java.sql">getCatalogTerm</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getClientInfoProperties--" title="class or interface in java.sql">getClientInfoProperties</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getColumnPrivileges-java.lang.String-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql">getColumnPrivileges</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getColumns-java.lang.String-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql">getColumns</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getConnection--" title="class or interface in java.sql">getConnection</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getCrossReference-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql">getCrossReference</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getDatabaseMajorVersion--" title="class or interface in java.sql">getDatabaseMajorVersion</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getDatabaseMinorVersion--" title="class or interface in java.sql">getDatabaseMinorVersion</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getDatabaseProductName--" title="class or interface in java.sql">getDatabaseProductName</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getDatabaseProductVersion--" title="class or interface in java.sql">getDatabaseProductVersion</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getDefaultTransactionIsolation--" title="class or interface in java.sql">getDefaultTransactionIsolation</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getDriverMajorVersion--" title="class or interface in java.sql">getDriverMajorVersion</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getDriverMinorVersion--" title="class or interface in java.sql">getDriverMinorVersion</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getDriverName--" title="class or interface in java.sql">getDriverName</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getDriverVersion--" title="class or interface in java.sql">getDriverVersion</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getExportedKeys-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql">getExportedKeys</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getExtraNameCharacters--" title="class or interface in java.sql">getExtraNameCharacters</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getFunctionColumns-java.lang.String-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql">getFunctionColumns</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getFunctions-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql">getFunctions</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getIdentifierQuoteString--" title="class or interface in java.sql">getIdentifierQuoteString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getImportedKeys-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql">getImportedKeys</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getIndexInfo-java.lang.String-java.lang.String-java.lang.String-boolean-boolean-" title="class or interface in java.sql">getIndexInfo</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getJDBCMajorVersion--" title="class or interface in java.sql">getJDBCMajorVersion</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getJDBCMinorVersion--" title="class or interface in java.sql">getJDBCMinorVersion</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getMaxBinaryLiteralLength--" title="class or interface in java.sql">getMaxBinaryLiteralLength</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getMaxCatalogNameLength--" title="class or interface in java.sql">getMaxCatalogNameLength</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getMaxCharLiteralLength--" title="class or interface in java.sql">getMaxCharLiteralLength</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getMaxColumnNameLength--" title="class or interface in java.sql">getMaxColumnNameLength</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getMaxColumnsInGroupBy--" title="class or interface in java.sql">getMaxColumnsInGroupBy</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getMaxColumnsInIndex--" title="class or interface in java.sql">getMaxColumnsInIndex</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getMaxColumnsInOrderBy--" title="class or interface in java.sql">getMaxColumnsInOrderBy</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getMaxColumnsInSelect--" title="class or interface in java.sql">getMaxColumnsInSelect</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getMaxColumnsInTable--" title="class or interface in java.sql">getMaxColumnsInTable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getMaxConnections--" title="class or interface in java.sql">getMaxConnections</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getMaxCursorNameLength--" title="class or interface in java.sql">getMaxCursorNameLength</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getMaxIndexLength--" title="class or interface in java.sql">getMaxIndexLength</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getMaxLogicalLobSize--" title="class or interface in java.sql">getMaxLogicalLobSize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getMaxProcedureNameLength--" title="class or interface in java.sql">getMaxProcedureNameLength</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getMaxRowSize--" title="class or interface in java.sql">getMaxRowSize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getMaxSchemaNameLength--" title="class or interface in java.sql">getMaxSchemaNameLength</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getMaxStatementLength--" title="class or interface in java.sql">getMaxStatementLength</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getMaxStatements--" title="class or interface in java.sql">getMaxStatements</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getMaxTableNameLength--" title="class or interface in java.sql">getMaxTableNameLength</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getMaxTablesInSelect--" title="class or interface in java.sql">getMaxTablesInSelect</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getMaxUserNameLength--" title="class or interface in java.sql">getMaxUserNameLength</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getNumericFunctions--" title="class or interface in java.sql">getNumericFunctions</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getPrimaryKeys-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql">getPrimaryKeys</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getProcedureColumns-java.lang.String-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql">getProcedureColumns</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getProcedures-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql">getProcedures</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getProcedureTerm--" title="class or interface in java.sql">getProcedureTerm</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getPseudoColumns-java.lang.String-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql">getPseudoColumns</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getResultSetHoldability--" title="class or interface in java.sql">getResultSetHoldability</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getRowIdLifetime--" title="class or interface in java.sql">getRowIdLifetime</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getSchemas--" title="class or interface in java.sql">getSchemas</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getSchemas-java.lang.String-java.lang.String-" title="class or interface in java.sql">getSchemas</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getSchemaTerm--" title="class or interface in java.sql">getSchemaTerm</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getSearchStringEscape--" title="class or interface in java.sql">getSearchStringEscape</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getSQLKeywords--" title="class or interface in java.sql">getSQLKeywords</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getSQLStateType--" title="class or interface in java.sql">getSQLStateType</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getStringFunctions--" title="class or interface in java.sql">getStringFunctions</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getSuperTables-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql">getSuperTables</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getSuperTypes-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql">getSuperTypes</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getSystemFunctions--" title="class or interface in java.sql">getSystemFunctions</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getTablePrivileges-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql">getTablePrivileges</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getTables-java.lang.String-java.lang.String-java.lang.String-java.lang.String:A-" title="class or interface in java.sql">getTables</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getTableTypes--" title="class or interface in java.sql">getTableTypes</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getTimeDateFunctions--" title="class or interface in java.sql">getTimeDateFunctions</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getTypeInfo--" title="class or interface in java.sql">getTypeInfo</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getUDTs-java.lang.String-java.lang.String-java.lang.String-int:A-" title="class or interface in java.sql">getUDTs</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getURL--" title="class or interface in java.sql">getURL</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getUserName--" title="class or interface in java.sql">getUserName</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#getVersionColumns-java.lang.String-java.lang.String-java.lang.String-" title="class or interface in java.sql">getVersionColumns</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#insertsAreDetected-int-" title="class or interface in java.sql">insertsAreDetected</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#isCatalogAtStart--" title="class or interface in java.sql">isCatalogAtStart</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#isReadOnly--" title="class or interface in java.sql">isReadOnly</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#locatorsUpdateCopy--" title="class or interface in java.sql">locatorsUpdateCopy</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#nullPlusNonNullIsNull--" title="class or interface in java.sql">nullPlusNonNullIsNull</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#nullsAreSortedAtEnd--" title="class or interface in java.sql">nullsAreSortedAtEnd</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#nullsAreSortedAtStart--" title="class or interface in java.sql">nullsAreSortedAtStart</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#nullsAreSortedHigh--" title="class or interface in java.sql">nullsAreSortedHigh</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#nullsAreSortedLow--" title="class or interface in java.sql">nullsAreSortedLow</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#othersDeletesAreVisible-int-" title="class or interface in java.sql">othersDeletesAreVisible</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#othersInsertsAreVisible-int-" title="class or interface in java.sql">othersInsertsAreVisible</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#othersUpdatesAreVisible-int-" title="class or interface in java.sql">othersUpdatesAreVisible</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#ownDeletesAreVisible-int-" title="class or interface in java.sql">ownDeletesAreVisible</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#ownInsertsAreVisible-int-" title="class or interface in java.sql">ownInsertsAreVisible</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#ownUpdatesAreVisible-int-" title="class or interface in java.sql">ownUpdatesAreVisible</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#storesLowerCaseIdentifiers--" title="class or interface in java.sql">storesLowerCaseIdentifiers</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#storesLowerCaseQuotedIdentifiers--" title="class or interface in java.sql">storesLowerCaseQuotedIdentifiers</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#storesMixedCaseIdentifiers--" title="class or interface in java.sql">storesMixedCaseIdentifiers</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#storesMixedCaseQuotedIdentifiers--" title="class or interface in java.sql">storesMixedCaseQuotedIdentifiers</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#storesUpperCaseIdentifiers--" title="class or interface in java.sql">storesUpperCaseIdentifiers</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#storesUpperCaseQuotedIdentifiers--" title="class or interface in java.sql">storesUpperCaseQuotedIdentifiers</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsAlterTableWithAddColumn--" title="class or interface in java.sql">supportsAlterTableWithAddColumn</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsAlterTableWithDropColumn--" title="class or interface in java.sql">supportsAlterTableWithDropColumn</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsANSI92EntryLevelSQL--" title="class or interface in java.sql">supportsANSI92EntryLevelSQL</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsANSI92FullSQL--" title="class or interface in java.sql">supportsANSI92FullSQL</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsANSI92IntermediateSQL--" title="class or interface in java.sql">supportsANSI92IntermediateSQL</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsBatchUpdates--" title="class or interface in java.sql">supportsBatchUpdates</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsCatalogsInDataManipulation--" title="class or interface in java.sql">supportsCatalogsInDataManipulation</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsCatalogsInIndexDefinitions--" title="class or interface in java.sql">supportsCatalogsInIndexDefinitions</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsCatalogsInPrivilegeDefinitions--" title="class or interface in java.sql">supportsCatalogsInPrivilegeDefinitions</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsCatalogsInProcedureCalls--" title="class or interface in java.sql">supportsCatalogsInProcedureCalls</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsCatalogsInTableDefinitions--" title="class or interface in java.sql">supportsCatalogsInTableDefinitions</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsColumnAliasing--" title="class or interface in java.sql">supportsColumnAliasing</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsConvert--" title="class or interface in java.sql">supportsConvert</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsConvert-int-int-" title="class or interface in java.sql">supportsConvert</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsCoreSQLGrammar--" title="class or interface in java.sql">supportsCoreSQLGrammar</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsCorrelatedSubqueries--" title="class or interface in java.sql">supportsCorrelatedSubqueries</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsDataDefinitionAndDataManipulationTransactions--" title="class or interface in java.sql">supportsDataDefinitionAndDataManipulationTransactions</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsDataManipulationTransactionsOnly--" title="class or interface in java.sql">supportsDataManipulationTransactionsOnly</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsDifferentTableCorrelationNames--" title="class or interface in java.sql">supportsDifferentTableCorrelationNames</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsExpressionsInOrderBy--" title="class or interface in java.sql">supportsExpressionsInOrderBy</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsExtendedSQLGrammar--" title="class or interface in java.sql">supportsExtendedSQLGrammar</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsFullOuterJoins--" title="class or interface in java.sql">supportsFullOuterJoins</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsGetGeneratedKeys--" title="class or interface in java.sql">supportsGetGeneratedKeys</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsGroupBy--" title="class or interface in java.sql">supportsGroupBy</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsGroupByBeyondSelect--" title="class or interface in java.sql">supportsGroupByBeyondSelect</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsGroupByUnrelated--" title="class or interface in java.sql">supportsGroupByUnrelated</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsIntegrityEnhancementFacility--" title="class or interface in java.sql">supportsIntegrityEnhancementFacility</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsLikeEscapeClause--" title="class or interface in java.sql">supportsLikeEscapeClause</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsLimitedOuterJoins--" title="class or interface in java.sql">supportsLimitedOuterJoins</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsMinimumSQLGrammar--" title="class or interface in java.sql">supportsMinimumSQLGrammar</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsMixedCaseIdentifiers--" title="class or interface in java.sql">supportsMixedCaseIdentifiers</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsMixedCaseQuotedIdentifiers--" title="class or interface in java.sql">supportsMixedCaseQuotedIdentifiers</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsMultipleOpenResults--" title="class or interface in java.sql">supportsMultipleOpenResults</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsMultipleResultSets--" title="class or interface in java.sql">supportsMultipleResultSets</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsMultipleTransactions--" title="class or interface in java.sql">supportsMultipleTransactions</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsNamedParameters--" title="class or interface in java.sql">supportsNamedParameters</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsNonNullableColumns--" title="class or interface in java.sql">supportsNonNullableColumns</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsOpenCursorsAcrossCommit--" title="class or interface in java.sql">supportsOpenCursorsAcrossCommit</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsOpenCursorsAcrossRollback--" title="class or interface in java.sql">supportsOpenCursorsAcrossRollback</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsOpenStatementsAcrossCommit--" title="class or interface in java.sql">supportsOpenStatementsAcrossCommit</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsOpenStatementsAcrossRollback--" title="class or interface in java.sql">supportsOpenStatementsAcrossRollback</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsOrderByUnrelated--" title="class or interface in java.sql">supportsOrderByUnrelated</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsOuterJoins--" title="class or interface in java.sql">supportsOuterJoins</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsPositionedDelete--" title="class or interface in java.sql">supportsPositionedDelete</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsPositionedUpdate--" title="class or interface in java.sql">supportsPositionedUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsRefCursors--" title="class or interface in java.sql">supportsRefCursors</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsResultSetConcurrency-int-int-" title="class or interface in java.sql">supportsResultSetConcurrency</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsResultSetHoldability-int-" title="class or interface in java.sql">supportsResultSetHoldability</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsResultSetType-int-" title="class or interface in java.sql">supportsResultSetType</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsSavepoints--" title="class or interface in java.sql">supportsSavepoints</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsSchemasInDataManipulation--" title="class or interface in java.sql">supportsSchemasInDataManipulation</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsSchemasInIndexDefinitions--" title="class or interface in java.sql">supportsSchemasInIndexDefinitions</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsSchemasInPrivilegeDefinitions--" title="class or interface in java.sql">supportsSchemasInPrivilegeDefinitions</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsSchemasInProcedureCalls--" title="class or interface in java.sql">supportsSchemasInProcedureCalls</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsSchemasInTableDefinitions--" title="class or interface in java.sql">supportsSchemasInTableDefinitions</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsSelectForUpdate--" title="class or interface in java.sql">supportsSelectForUpdate</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsStatementPooling--" title="class or interface in java.sql">supportsStatementPooling</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsStoredFunctionsUsingCallSyntax--" title="class or interface in java.sql">supportsStoredFunctionsUsingCallSyntax</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsStoredProcedures--" title="class or interface in java.sql">supportsStoredProcedures</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsSubqueriesInComparisons--" title="class or interface in java.sql">supportsSubqueriesInComparisons</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsSubqueriesInExists--" title="class or interface in java.sql">supportsSubqueriesInExists</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsSubqueriesInIns--" title="class or interface in java.sql">supportsSubqueriesInIns</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsSubqueriesInQuantifieds--" title="class or interface in java.sql">supportsSubqueriesInQuantifieds</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsTableCorrelationNames--" title="class or interface in java.sql">supportsTableCorrelationNames</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsTransactionIsolationLevel-int-" title="class or interface in java.sql">supportsTransactionIsolationLevel</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsTransactions--" title="class or interface in java.sql">supportsTransactions</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsUnion--" title="class or interface in java.sql">supportsUnion</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#supportsUnionAll--" title="class or interface in java.sql">supportsUnionAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#updatesAreDetected-int-" title="class or interface in java.sql">updatesAreDetected</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#usesLocalFilePerTable--" title="class or interface in java.sql">usesLocalFilePerTable</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/DatabaseMetaData.html?is-external=true#usesLocalFiles--" title="class or interface in java.sql">usesLocalFiles</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.sql.Wrapper">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;java.sql.<a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true" title="class or interface in java.sql">Wrapper</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true#isWrapperFor-java.lang.Class-" title="class or interface in java.sql">isWrapperFor</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/Wrapper.html?is-external=true#unwrap-java.lang.Class-" title="class or interface in java.sql">unwrap</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getProcedureSourceCode-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getProcedureSourceCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getProcedureSourceCode(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;procedureName)
                       throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Get the source of a stored procedure.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>procedureName</code> - name of the stored procedure.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>source of the stored procedure.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if specified procedure cannot be found.</dd>
</dl>
</li>
</ul>
<a name="getTriggerSourceCode-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTriggerSourceCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getTriggerSourceCode(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;triggerName)
                     throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Get the source of a trigger.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>triggerName</code> - name of the trigger.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>source of the trigger.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if specified trigger cannot be found.</dd>
</dl>
</li>
</ul>
<a name="getViewSourceCode-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getViewSourceCode</h4>
<pre><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getViewSourceCode(<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;viewName)
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Get the source of a view.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>viewName</code> - name of the view.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>source of the view.</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if specified view cannot be found.</dd>
</dl>
</li>
</ul>
<a name="getOdsMajorVersion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOdsMajorVersion</h4>
<pre>int&nbsp;getOdsMajorVersion()
                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Get the major version of the ODS (On-Disk Structure) of the database.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The major version number of the database itself</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="getOdsMinorVersion--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOdsMinorVersion</h4>
<pre>int&nbsp;getOdsMinorVersion()
                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Get the minor version of the ODS (On-Disk Structure) of the database.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The minor version number of the database itself</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
</dl>
</li>
</ul>
<a name="getDatabaseDialect--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDatabaseDialect</h4>
<pre>int&nbsp;getDatabaseDialect()
                throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Get the dialect of the database.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The dialect of the database</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/jdbc/FirebirdDatabaseMetaData.html#getConnectionDialect--"><code>getConnectionDialect()</code></a></dd>
</dl>
</li>
</ul>
<a name="getConnectionDialect--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConnectionDialect</h4>
<pre>int&nbsp;getConnectionDialect()
                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block">Get the dialect of the connection.
 <p>
 The connection dialect may be different from the database dialect.
 </p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>The dialect of the connection</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - if a database access error occurs</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../org/firebirdsql/jdbc/FirebirdDatabaseMetaData.html#getDatabaseDialect--"><code>getDatabaseDialect()</code></a></dd>
</dl>
</li>
</ul>
<a name="close--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>close</h4>
<pre>void&nbsp;close()</pre>
<div class="block">Closes any cached metadata statements held by this database metadata implementation.
 <p>
 The database metadata object itself remains usable. Exceptions during statement close are logged and suppressed.
 </p></div>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../org/firebirdsql/jdbc/FirebirdConnectionProperties.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../org/firebirdsql/jdbc/FirebirdDriver.html" title="interface in org.firebirdsql.jdbc"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?org/firebirdsql/jdbc/FirebirdDatabaseMetaData.html" target="_top">Frames</a></li>
<li><a href="FirebirdDatabaseMetaData.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
